#ifndef BULLET_H
#define BULLET_H

#include "../data_config.h"

class Bullet {
public:
    int x = 0, y = 0;
    int damage = 0;
    Direction dir = UP;
    bool isLive = false;

    void fire(int bx, int by, Direction d, int dmg);
    CELL_Type peekAt(int map[MAP_CELL_NUM][MAP_CELL_NUM]) const;
    void step();
};

#endif
